p.EditeurHTML
{
	margin:0px !important;
	margin-bottom:10px !important;
	padding:0px !important;
	padding-right:2px !important;
}

.CodeMirror
{
	width:100%;
	height:241px;
	min-height:241px;
	max-height:241px;
	
	margin:0px;
	padding:0px;
	
	font-family:Calibri, Arial, sans-serif;
	font-size:11pt;
	
	border:1px solid #707070;
	
	overflow:auto;
}

.CodeMirror-scroll
{
	overflow:auto;
}

.CodeMirror-lines
{
	padding:2px 0px;
}

.CodeMirror pre
{
	padding:0px 2px;
}

.CodeMirror-scrollbar-filler, .CodeMirror-gutter-filler
{
	background-color:#FFFFFF;
}

.CodeMirror-gutters 
{
	border-right:1px solid #707070;
	background:#EEEEEE;
	
	white-space:nowrap;
}

.CodeMirror-linenumbers
{
	
}

.CodeMirror-linenumber
{
	min-width:36px;
	
	margin:0px;
	padding:0px 3px 0px 5px;
  
	color:#000000;
	text-align:right;
  
	-moz-box-sizing: content-box;
	box-sizing: content-box;
}

.CodeMirror-guttermarker
{ 
	color:#000000;
}

.CodeMirror-guttermarker-subtle
{ 
	color:#000000;
}

.CodeMirror div.CodeMirror-cursor
{
	border-left:1px solid #000000;
}

.CodeMirror div.CodeMirror-secondarycursor
{
	border-left:1px solid #000000;
}

.CodeMirror.cm-fat-cursor div.CodeMirror-cursor
{
	width:auto;
	border:0px;
	background: #77EE77;
}

.CodeMirror.cm-fat-cursor div.CodeMirror-cursors
{
	z-index:1;
}

.cm-animate-fat-cursor
{
	width:auto;
	border:0px;
	-webkit-animation:blink 1.06s steps(1) infinite;
	-moz-animation:blink 1.06s steps(1) infinite;
	animation:blink 1.06s steps(1) infinite;
}

@-moz-keyframes blink
{
	0% { background:#77EE77; }
	50% { background:none; }
	100% { background:#77EE77; }
}

@-webkit-keyframes blink
{
	0% { background:#77EE77; }
	50% { background:none; }
	100% { background:#77EE77; }
}

@keyframes blink
{
	0% { background:#77EE77; }
	50% { background:none; }
	100% { background:#77EE77; }
}

div.CodeMirror-overwrite div.CodeMirror-cursor
{
	
}

.cm-tab
{ 
	display:inline-block;
	text-decoration:inherit;
}

.CodeMirror-ruler
{
	border-left:1px solid #CCCCCC;
	position:absolute;
}

.cm-s-default .cm-keyword
{
	color:#770088;
}

.cm-s-default .cm-atom
{
	color:#221199;
}

.cm-s-default .cm-number
{
	color:#116644;
}

.cm-s-default .cm-def
{
	color:#0000FF;
}

.cm-s-default .cm-variable, .cm-s-default .cm-punctuation, .cm-s-default .cm-property, .cm-s-default .cm-operator
{
	
}

.cm-s-default .cm-variable-2
{
	color:#0055AA;
}

.cm-s-default .cm-variable-3
{
	color:#008855;
}

.cm-s-default .cm-comment
{
	color:#AA5500;
}

.cm-s-default .cm-string
{
	color:#AA1111;
}

.cm-s-default .cm-string-2
{
	color:#FF5500;
}

.cm-s-default .cm-meta
{
	color:#555555;
}

.cm-s-default .cm-qualifier
{
	color:#555555;
}

.cm-s-default .cm-builtin
{
	color:#3300AA;
}

.cm-s-default .cm-bracket
{
	color:#999977;
}

.cm-s-default .cm-tag
{
	color:#117700;
}

.cm-s-default .cm-attribute
{
	color:#0000CC;
}

.cm-s-default .cm-header
{
	color:#0000FF;
}

.cm-s-default .cm-quote
{
	color:#009900;
}

.cm-s-default .cm-hr
{
	color:#999999;
}

.cm-s-default .cm-link
{
	color:#0000CC;
}

.cm-negative
{
	color:#DD4444;
}

.cm-positive
{
	color:#239922;
}

.cm-header, .cm-strong
{
	font-weight:bold;
}

.cm-em
{
	font-style:italic;
}

.cm-link
{
	text-decoration:underline;
}

.cm-strikethrough
{
	text-decoration:line-through;
}

.cm-s-default .cm-error
{
	color:#FF0000;
}

.cm-invalidchar
{
	color:#FF0000;
}

div.CodeMirror span.CodeMirror-matchingbracket
{
	color:#00FF00;
}

div.CodeMirror span.CodeMirror-nonmatchingbracket
{
	color:#FF2222;
}

.CodeMirror-matchingtag
{ 
	background:rgba(255, 150, 0, .3);
}

.CodeMirror-activeline-background
{
	background:#E8F2FF;
}

.CodeMirror
{
	line-height:1;
	position:relative;
	overflow:hidden;
	background:white;
	color:black;
}

.CodeMirror-scroll
{
	margin-bottom:-30px; 
	margin-right:-30px;
	padding-bottom:30px;
	height:100%;
	outline:none;
	position:relative;
	-moz-box-sizing:content-box;
	box-sizing:content-box;
}

.CodeMirror-sizer
{
	position:relative;
	border-right:30px solid transparent;
	-moz-box-sizing:content-box;
	box-sizing:content-box;
}

.CodeMirror-vscrollbar, .CodeMirror-hscrollbar, .CodeMirror-scrollbar-filler, .CodeMirror-gutter-filler
{
	position:absolute;
	z-index:6;
	display:none;
}

.CodeMirror-vscrollbar
{
	right:0;
	top:0;
	overflow-x:hidden;
	overflow-y:scroll;
}

.CodeMirror-hscrollbar
{
	bottom:0;
	left:0;
	overflow-y:hidden;
	overflow-x:scroll;
}

.CodeMirror-scrollbar-filler
{
	right:0;
	bottom:0;
}

.CodeMirror-gutter-filler
{
	left:0;
	bottom:0;
}

.CodeMirror-gutters
{
	position:absolute;
	left:0;
	top:0;
	padding-bottom:30px;
	z-index:3;
}

.CodeMirror-gutter
{
	white-space:normal;
	height:100%;
	-moz-box-sizing:content-box;
	box-sizing:content-box;
	padding-bottom:30px;
	margin-bottom:-32px;
	display:inline-block;
	*zoom:1;
	*display:inline;
}

.CodeMirror-gutter-wrapper
{
	position:absolute;
	z-index:4;
	height:100%;
}

.CodeMirror-gutter-elt
{
	position:absolute;
	cursor:default;
	z-index:4;
}

.CodeMirror-lines
{
	cursor: text;
	min-height: 1px;
}

.CodeMirror pre
{
	-moz-border-radius:0;
	-webkit-border-radius:0;
	border-radius:0;
	border-width:0;
	background:transparent;
	font-family:inherit;
	font-size:inherit;
	margin:0;
	white-space:pre;
	word-wrap:normal;
	line-height:inherit;
	color:inherit;
	z-index:2;
	position:relative;
	overflow:visible;
}

.CodeMirror-wrap pre
{
	word-wrap:break-word;
	white-space:pre-wrap;
	word-break:normal;
}

.CodeMirror-linebackground
{
	position:absolute;
	left:0;
	right:0;
	top:0;
	bottom:0;
	z-index:0;
}

.CodeMirror-linewidget
{
	position:relative;
	z-index:2;
	overflow:auto;
}

.CodeMirror-widget
{
	
}

.CodeMirror-wrap .CodeMirror-scroll
{
	overflow-x:hidden;
}

.CodeMirror-measure
{
	position:absolute;
	width:100%;
	height:0;
	overflow:hidden;
	visibility:hidden;
}

.CodeMirror-measure pre
{ 
	position:static;
}

.CodeMirror div.CodeMirror-cursor
{
	position:absolute;
	border-right:none;
	width:0;
}

div.CodeMirror-cursors
{
	visibility:hidden;
	position:relative;
	z-index:3;
}

.CodeMirror-focused div.CodeMirror-cursors
{
	visibility:visible;
}

.CodeMirror-selected
{
	color:#FFFFFF;
	
	background:#3399FF;
}

.CodeMirror-focused .CodeMirror-selected
{
	color:#FFFFFF;
	
	background:#3399FF;
}

.CodeMirror-crosshair
{
	cursor:crosshair;
}

.cm-searching
{
	background:#FFFFAA;
	background:rgba(255, 255, 0, .4);
}

.CodeMirror span
{ 
	*vertical-align:text-bottom;
}

.cm-force-border
{ 
	padding-right:.1px;
}

@media print
{
	.CodeMirror div.CodeMirror-cursors {
		visibility:hidden;
	}
}

.cm-tab-wrap-hack:after
{ 
	content:'';
}

span.CodeMirror-selectedtext
{
	background:none;
}